package com.jasamedika.medifirst2000.vo;

import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class RupAnggaranVO extends BaseTransactionVO{

	@NotNull(message="Kode RUP Anggaran tidak boleh kosong")
	@Caption(value="Kode RUP Anggaran")
	private String kdRupAnggaran;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectDetailAnggaranFk")
	@Caption(value="Detail Anggaran")
	private DetailAnggaranVO detailAnggaran;
	
	@NotNull(message="Kode Pengadaan tidak boleh kosong")
	@Caption(value="Kode Pengadaan")
	private String kdPengadaan;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectLokasiFk")
	@Caption(value="Lokasi")
	private LokasiVO lokasi;

	public String getKdRupAnggaran() {
		return kdRupAnggaran;
	}

	public void setKdRupAnggaran(String kdRupAnggaran) {
		this.kdRupAnggaran = kdRupAnggaran;
	}

	public DetailAnggaranVO getDetailAnggaran() {
		return detailAnggaran;
	}

	public void setDetailAnggaran(DetailAnggaranVO detailAnggaran) {
		this.detailAnggaran = detailAnggaran;
	}

	public String getKdPengadaan() {
		return kdPengadaan;
	}

	public void setKdPengadaan(String kdPengadaan) {
		this.kdPengadaan = kdPengadaan;
	}

	public LokasiVO getLokasi() {
		return lokasi;
	}

	public void setLokasi(LokasiVO lokasi) {
		this.lokasi = lokasi;
	}
	
}
